# EventSslContext::__construct

(PECL event >= 1.2.6-beta)

EventSslContext::__construct — Constructs an OpenSSL context for use with Event classes

### 说明

public EventSslContext::__construct( string `$method` , string `$options` )

Creates SSL context holding pointer to `SSL_CTX` (see the system manual).

### 参数

`method`

  One of `EventSslContext::*_METHOD` constants.

`options`

  Associative array of SSL context options One of `EventSslContext::OPT_*` constants.

### 示例

示例 #1 EventSslContext::__construct() example

`<?php
$ctx = new EventSslContext(EventSslContext::SSLv3_SERVER_METHOD, array(
EventSslContext::OPT_LOCAL_CERT => $local_cert,
EventSslContext::OPT_LOCAL_PK => $local_pk,
EventSslContext::OPT_PASSPHRASE => "echo server",
EventSslContext::OPT_VERIFY_PEER => true,
EventSslContext::OPT_ALLOW_SELF_SIGNED => false,
));
?>`
`↑` and `↓` to navigate • `Enter` to select • `Esc` to close • `/` to open